@echo off
cls
SET BIOSFILE=BM92AA05.BIN

ChkME
if errorlevel 2 goto exit
if errorlevel 1 goto ME_update
if errorlevel 0 goto BIOS_UPDATE

:BIOS_UPDATE
fpt -f %BIOSFILE% -BIOS
if errorlevel 1 goto chksv
echo.
@echo Update Finish, System must power-off to have the changes take 
goto exit

:ME_update
fpt -f %BIOSFILE% -ME
if errorlevel 1 goto chksv
fpt -f %BIOSFILE% -BIOS
echo.
@echo Update Finish, System must power-off to have the changes take effect!
goto exit

:chksv
echo.
@echo Update Fail, Please check file is correct or Contact the vendor!
:exit
@echo on